package hiro.yoshioka.sql;

public interface SqlTransactionListener {
	void transactionStarted();

	void executionStatus(SQLExecutionStatus status, boolean systemFlg,
			String... params);

	void commited();

	void rollbacked();

	void transactionEnded();
}